/**
 *  Clase para la construccion de las respuestas de http
 */
export declare class HttpResponse {
    /**
     * Status code http
     *
     * @type {(string | number)}
     * @memberof HttpResponse
     */
    status: string | number;
    /**
     * Mensaje que se envia
     *
     * @type {string}
     * @memberof HttpResponse
     */
    message: string;
    /**
     * Cabeceras http que se quieren enviar
     *
     * @type {*}
     * @memberof HttpResponse
     */
    headers: any;
    /**
     * Datos de respuesta
     *
     * @type {*}
     * @memberof HttpResponse
     */
    data: any;
    /**
     * Creates an instance of HttpResponse.
     * @param {*} data
     * @param {(string | number)} [status]
     * @param {string} [message]
     * @param {*} [headers]
     * @memberof HttpResponse
     */
    constructor(data?: any, status?: string | number, message?: string, headers?: any);
}
